# Generated from binding_of_caller-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name binding_of_caller

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Retrieve the binding of a method's caller. Can also retrieve bindings even further up the stack
Group: Development/Languages
License: MIT
URL: http://github.com/banister/binding_of_caller
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(debug_inspector) >= 0.0.1
BuildRequires: ruby(release)
BuildRequires: rubygem(minitest)
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel 
Provides: rubygem(%{gem_name}) = %{version}

%description
Retrieve the binding of a method's caller. Can also retrieve bindings even
further up the stack.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/lib
# TODO: move the extensions
#mv %{buildroot}%{gem_instdir}/lib/shared_object.so %{buildroot}%{gem_extdir_mri}/lib/

%check
pushd .%{gem_instdir}
testrb -Ilib test/test_*.rb
popd


%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_instdir}/ext
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gemtest
%{gem_instdir}/.gitignore
%{gem_instdir}/.travis.yml
%{gem_instdir}/.yardopts
%{gem_instdir}/Gemfile
%{gem_instdir}/HISTORY
%{gem_instdir}/LICENSE
%{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/binding_of_caller.gemspec
%{gem_instdir}/examples/example.rb
%{gem_instdir}/test/test_binding_of_caller.rb


%changelog
* Mon May 06 2013 Anuj More - 0.7.1-1
- Initial package
